From cac643589c96a8caf1be0bab5aba1f3bc89fcf66 Mon Sep 17 00:00:00 2001
From: jian he <jian.universality@gmail.com>
Date: Tue, 29 Apr 2025 18:28:49 +0800
Subject: [PATCH v1 1/1] add tab-complete for ALTER DOMAIN ADD ...

per https://www.postgresql.org/docs/current/sql-alterdomain.html
we can add tab-complete for ALTER DOMAIN ADD:
ALTER DOMAIN ADD CHECK
ALTER DOMAIN ADD CONSTRAINT
ALTER DOMAIN ADD NOT NULL

discussion: https://postgr.es/m
---
 src/bin/psql/tab-complete.in.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/psql/tab-complete.in.c b/src/bin/psql/tab-complete.in.c
index c916b9299a8..e8ff574b0e4 100644
--- a/src/bin/psql/tab-complete.in.c
+++ b/src/bin/psql/tab-complete.in.c
@@ -2539,6 +2539,9 @@ match_previous_words(int pattern_id,
 	else if (Matches("ALTER", "DOMAIN", MatchAny))
 		COMPLETE_WITH("ADD", "DROP", "OWNER TO", "RENAME", "SET",
 					  "VALIDATE CONSTRAINT");
+	/* ALTER DOMAIN <sth> ADD */
+	else if (Matches("ALTER", "DOMAIN", MatchAny, "ADD"))
+		COMPLETE_WITH("CONSTRAINT", "NOT NULL", "CHECK");
 	/* ALTER DOMAIN <sth> DROP */
 	else if (Matches("ALTER", "DOMAIN", MatchAny, "DROP"))
 		COMPLETE_WITH("CONSTRAINT", "DEFAULT", "NOT NULL");
-- 
2.39.5 (Apple Git-154)

